package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 行政区域对象 t_region
 * 
 * @author zhengjie
 * @date 2023-08-15
 */
public class TRegion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Integer id;

    /** 父区域id */
    @Excel(name = "父区域id")
    private Integer parentId;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 父区划名称 */
    @Excel(name = "父区划名称")
    private String deptName;

    /** 父区划编号 */
    @Excel(name = "父区划编号")
    private String deptNum;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String zoneName;

    /** 区域编号 */
    @Excel(name = "区域编号")
    private String zoneNum;

    /** 区域等级 */
    @Excel(name = "区域等级")
    private Integer kind;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Integer orderNum;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal gpsLng;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal gpsLat;

    /** 子部门 */
    private List<TRegion> children = new ArrayList<TRegion>();

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setParentId(Integer parentId) 
    {
        this.parentId = parentId;
    }

    public Integer getParentId() 
    {
        return parentId;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setDeptNum(String deptNum) 
    {
        this.deptNum = deptNum;
    }

    public String getDeptNum() 
    {
        return deptNum;
    }
    public void setZoneName(String zoneName) 
    {
        this.zoneName = zoneName;
    }

    public String getZoneName() 
    {
        return zoneName;
    }
    public void setZoneNum(String zoneNum) 
    {
        this.zoneNum = zoneNum;
    }

    public String getZoneNum() 
    {
        return zoneNum;
    }
    public void setKind(Integer kind) 
    {
        this.kind = kind;
    }

    public Integer getKind() 
    {
        return kind;
    }
    public void setOrderNum(Integer orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Integer getOrderNum() 
    {
        return orderNum;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setGpsLng(BigDecimal gpsLng) 
    {
        this.gpsLng = gpsLng;
    }

    public BigDecimal getGpsLng() 
    {
        return gpsLng;
    }
    public void setGpsLat(BigDecimal gpsLat) 
    {
        this.gpsLat = gpsLat;
    }

    public BigDecimal getGpsLat() 
    {
        return gpsLat;
    }

    public List<TRegion> getChildren() {
        return children;
    }

    public void setChildren(List<TRegion> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("deptName", getDeptName())
            .append("deptNum", getDeptNum())
            .append("zoneName", getZoneName())
            .append("zoneNum", getZoneNum())
            .append("kind", getKind())
            .append("orderNum", getOrderNum())
            .append("remarks", getRemarks())
            .append("gpsLng", getGpsLng())
            .append("gpsLat", getGpsLat())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
